command = Turbine.ShellCommand()
local iconSize = 50
iconW = Turbine.UI.Window()
iconW:SetSize(iconSize,iconSize)
iconW:SetPosition(settings.x, settings.y)
iconW:SetVisible(false);
iconW:SetMouseVisible(true);
iconW:SetOpacity(0.5);
icon = Turbine.UI.Control()
icon:SetParent(iconW)
icon:SetSize(iconSize,iconSize)
icon:SetPosition(0,0)
icon:SetMouseVisible(false)
icon:SetBackground("Morgantine/GoneFishing/MinimizedIcon.tga")
icon:SetVisible(true);

function iconW:MouseEnter()
   iconW:SetOpacity(1);
end
function iconW:MouseLeave()
   iconW:SetOpacity(0.5);
end
function Win:Closing()
   HideWindow()
end
function iconW:MouseClick()
   ShowWindow()
end
function HideWindow()
   --hide window, show icon
   local x,y = Win:GetPosition()
   local width = Win:GetWidth()
   x = x + Win:GetWidth()/2 - iconW:GetWidth()/2
   iconW:SetPosition(x,y)
   if Win ~= nil then
      Win:SetVisible(false)
   end
   iconW:SetVisible(true)
end
function ShowWindow()
   Win:SetVisible(true)
   iconW:SetVisible(false)
end

function command:Execute(cmd,args,lvl)
   if (args=="show") then
      ShowWindow()
   elseif (args=="hide") then
      HideWindow()
   end
end
function command:ShortHelp()
   print("/fish show|hide")
end
function command:Help()
   print("Type /fish show to show the fishing window.")
   print("Type /fish hide to hide it.")
end
Turbine.Shell.AddCommand("fish",command)
